Name:           authhub
Version:        0.1.2
Release:        1%{?dist}
Summary:        OTP support for MIT Kerberos

License:        MIT
URL:            https://fedorahosted.org/AuthHub
Source0:        https://fedorahosted.org/releases/A/u/AuthHub/%{name}-%{version}.tar.gz

BuildRequires:  libverto-jsonrpc-devel
BuildRequires:  krb5-devel
Requires:       krb5-server
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

%description
Provides one-time password (OTP) support for MIT Kerberos (krb5)

%package        client
Summary:        MIT Kerberos client plugin for OTP support
License:        MIT

%description    client
Provides client-side %{name} support to MIT Kerberos

%package -n     python-%{name}
Summary:        Python module for %{name}
License:        GPLv3+
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description -n python-%{name}
Python helper module for building %{name} plugins

%package        totp
Summary:        TOTP plugin for %{name}
License:        GPLv3+
Requires:       python-%{name} = %{version}-%{release}
BuildArch:      noarch

%description    totp
%{name} plugin for totp tokens

%package        httpbasicauth
Summary:        HTTP Basic Auth plugin for %{name}
License:        GPLv3+
Requires:       python-%{name} = %{version}-%{release}
BuildArch:      noarch

%description    httpbasicauth
%{name} plugin for verifying token value against an HTTP server

%package        yubikey
Summary:        YubiKey plugin for %{name}
License:        GPLv3+
Requires:       python-%{name} = %{version}-%{release}
BuildArch:      noarch

%description    yubikey
%{name} plugin for YubiKey tokens

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%doc AUTHORS ChangeLog README
%{_libdir}/krb5/plugins/preauth/%{name}.so

%files client
%doc AUTHORS ChangeLog README
%{_libdir}/krb5/plugins/preauth/%{name}c.so

%files -n python-%{name}
%doc AUTHORS ChangeLog README
%{python_sitelib}/%{name}.py*

%files totp
%{_unitdir}/%{name}-totp.socket
%{_unitdir}/%{name}-totp@.service
%{_libexecdir}/%{name}-totp

%files httpbasicauth
%{_unitdir}/%{name}-httpbasicauth.socket
%{_unitdir}/%{name}-httpbasicauth@.service
%{_libexecdir}/%{name}-httpbasicauth

%files yubikey
%{_unitdir}/%{name}-yubikey.socket
%{_unitdir}/%{name}-yubikey@.service
%{_libexecdir}/%{name}-yubikey

%changelog
* Tue Feb 21 2012 Nathaniel McCallum <npmccallum@redhat.com> - 0.1.2-1
- Update to 0.1.2

* Mon Feb 20 2012 Nathaniel McCallum <npmccallum@redhat.com> - 0.1.1-2
- Make python package and plugins noarch

* Wed Feb 15 2012 Nathaniel McCallum <npmccallum@redhat.com> - 0.1.1-1
- Initial package

